/*
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 * $Id: Response.java,v 1.2 2005/09/07 13:38:06 rampil Exp $
 */
package org.logical_paradox.vsan.dac;

/**
 * disk array controllerからの回答
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.2 $
 */
public class Response {
	/** レスポンスコード */
	private int responseCode;
	/** 返却されるデータ */
	private byte[] data;

	/**
	 * コンストラクタ
	 * @param rc レスポンスコード
	 */
	public Response(int rc) {
		responseCode = rc;
	}
	/**
	 * コンストラクタ
	 * @param rc レスポンスコード
	 * @param b バイトデータ
	 */
	public Response(int rc, byte[] b) {
		this(rc);
		data = b;
	}
	/**
	 * レスポンスコードを返す
	 * @return レスポンスコード
	 */
	public int getResponseCode() {
		return responseCode;
	}
	/**
	 * バイトデータを返す
	 * @return クライアントに対して送信するべきバイトデータ
	 */
	public byte[] getData() {
		return data;
	}
}
